Skip to main content
GET
/
v1
/
bots
/
{botId}
/
templates
Obtener Plantillas
curl --request GET \
  --url https://api.jelou.ai/v1/bots/{botId}/templates \
  --header 'Authorization: Basic <encoded-value>'
{
  "message": "<string>",
  "statusMessage": "<string>",
  "status": 123,
  "error": {
    "code": "<string>",
    "key": "<string>",
    "description": "<string>",
    "developerMessages": {},
    "clientMessages": {}
  },
  "validationError": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.jelou.ai/llms.txt

Use this file to discover all available pages before exploring further.

Get the list of all templates configured in your bot. You can filter by name, status, or category.
GET /v1/bots/{botId}/templates
Review existing templates before creating a new one to avoid duplicates.

Path Parameters

PropertyTypeDescription
botIdstringUnique bot ID. Example: 123456789

Query Parameters

PropertyTypeDescription
querystringSearch templates by elementName
statusstringSearch templates by status. Possible values: PENDING, REJECTED, APPROVED
categorystringSearch templates by category. Possible values: UTILITY, MARKETING, AUTHENTICATION

Responses

{
  "data": [
    {
      "template": "Hello! We are *Jelou*. \nWelcome _{{1}}_.",
      "displayName": "Welcome",
      "elementName": "welcome_customer",
      "params": [
        {"label": "Customer name", "param": "1"}
      ],
      "paramsNumber": 1,
      "isVisible": true,
      "language": "EN",
      "status": "APPROVED",
      "category": "UTILITY",
      "createdAt": "2021-01-28T15:08:38.492Z",
      "updatedAt": "2021-01-28T15:08:38.492Z"
    }
  ]
}
{
  "message": "Authentication failed"
}
{
  "message": ["The Bot could not be found at the moment."],
  "statusMessage": "failed",
  "error": {
    "code": "E1019",
    "key": "BOT_NOT_FOUND"
  }
}

Authorizations

Authorization
string
header
required

Basic authentication using Base64 encoded clientId:clientSecret

Path Parameters

botId
string
required

Query Parameters

query
string

Buscar por elementName

status
enum<string>
Available options:
PENDING,
REJECTED,
APPROVED
category
enum<string>
Available options:
UTILITY,
MARKETING,
AUTHENTICATION

Response

Plantillas recuperadas exitosamente